Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.help
Interface IContextComputer

All Known Implementing Classes:
  DialogPageContextComputer, ViewContextComputer

Deprecated. nested contexts are no longer supported by the help support system

public interface IContextComputer

A content computer is used to dynamically calculate help support contexts at the time the user requests help.

This interface may be implemented by clients.

Method Summary
`Object[]` | `computeContexts(HelpEvent event)` Deprecated. Computes contexts for the help system.
`Object[]` | `getLocalContexts(HelpEvent event)` Deprecated. Returns the local contexts for this context computer.

Method Detail

### computeContexts

    public Object[] computeContexts(HelpEvent event)

  Deprecated.
  Computes contexts for the help system.

  Parameters:
    `event` - the help event which triggered this request for help
  Returns:
    a mixed-type array of context ids (type `String`) and/or help contexts (type `IContext`)
  See Also:
    `IContext`

### getLocalContexts

    public Object[] getLocalContexts(HelpEvent event)

  Deprecated.
  Returns the local contexts for this context computer.

  Typically this method is called by other instances of `IContextComputer` in their `computeContexts` method.

  The important concept here is that the value returned by `computeContexts` represents the complete help contexts and is passed directly to the help support system.

  However the value returned by this method represents the only the contexts for the particular control with which this `IContextComputer` is associated.

  Parameters:
    `event` - the help event which triggered this request for help
  Returns:
    a mixed-type array of context ids (type `String`) and/or help contexts (type `IContext`)
  See Also:
    `IContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.